diff mbox

[v8,3/7] scripts: Submit changes while updating linux headers

Message ID 1442194575-8537-4-git-send-email-gwshan@linux.vnet.ibm.com
State New
Headers show

Commit Message

Gavin Shan Sept. 14, 2015, 1:36 a.m. UTC
This submits changes with formatted commit log while updating Linux
headers using scripts/update-linux-headers.sh.

Signed-off-by: Gavin Shan <gwshan@linux.vnet.ibm.com>
---
 scripts/update-linux-headers.sh | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

Comments

David Gibson Sept. 14, 2015, 4:12 a.m. UTC | #1
On Mon, Sep 14, 2015 at 11:36:11AM +1000, Gavin Shan wrote:
> This submits changes with formatted commit log while updating Linux
> headers using scripts/update-linux-headers.sh.
> 
> Signed-off-by: Gavin Shan <gwshan@linux.vnet.ibm.com>

Reviewed-by: David Gibson <david@gibson.dropbear.id.au>


> ---
>  scripts/update-linux-headers.sh | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
> 
> diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
> index 18daabe..a345632 100755
> --- a/scripts/update-linux-headers.sh
> +++ b/scripts/update-linux-headers.sh
> @@ -63,6 +63,34 @@ cp_virtio() {
>      fi
>  }
>  
> +submit_change() {
> +    from=$1
> +    to=$2
> +    if ! [ -e "$to/include/qemu-common.h" ]; then
> +        echo "$to not QEMU source directory, skip submitting changes"
> +        exit 3
> +    fi
> +
> +    version=$(make -C "$from" -s kernelversion)
> +    commit=$(git -C "$from" rev-parse --short HEAD)
> +    message=$(cat <<EOF
> +Synchronize Linux headers from kernel $version
> +
> +Synchronize the Linux headers from kernel version $version
> +(commit $commit)
> +
> +This commit was created automatically by update-linux-headers.sh.
> +EOF
> +)
> +
> +    if git -C "$to" commit -qa -m "$message" -s ; then
> +        echo "Changes submitted successfully"
> +    else
> +        echo "Failure submitting changes"
> +        exit 4
> +    fi
> +}
> +
>  # This will pick up non-directories too (eg "Kconfig") but we will
>  # ignore them in the next loop.
>  ARCHLIST=$(cd "$linux/arch" && echo *)
> @@ -132,3 +160,5 @@ cat <<EOF >$output/include/standard-headers/linux/if_ether.h
>  EOF
>  
>  rm -rf "$tmpdir"
> +
> +submit_change "$linux" "$output"
diff mbox

Patch

diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
index 18daabe..a345632 100755
--- a/scripts/update-linux-headers.sh
+++ b/scripts/update-linux-headers.sh
@@ -63,6 +63,34 @@  cp_virtio() {
     fi
 }
 
+submit_change() {
+    from=$1
+    to=$2
+    if ! [ -e "$to/include/qemu-common.h" ]; then
+        echo "$to not QEMU source directory, skip submitting changes"
+        exit 3
+    fi
+
+    version=$(make -C "$from" -s kernelversion)
+    commit=$(git -C "$from" rev-parse --short HEAD)
+    message=$(cat <<EOF
+Synchronize Linux headers from kernel $version
+
+Synchronize the Linux headers from kernel version $version
+(commit $commit)
+
+This commit was created automatically by update-linux-headers.sh.
+EOF
+)
+
+    if git -C "$to" commit -qa -m "$message" -s ; then
+        echo "Changes submitted successfully"
+    else
+        echo "Failure submitting changes"
+        exit 4
+    fi
+}
+
 # This will pick up non-directories too (eg "Kconfig") but we will
 # ignore them in the next loop.
 ARCHLIST=$(cd "$linux/arch" && echo *)
@@ -132,3 +160,5 @@  cat <<EOF >$output/include/standard-headers/linux/if_ether.h
 EOF
 
 rm -rf "$tmpdir"
+
+submit_change "$linux" "$output"